<?php
/**
 * Faboba News System
 * Joomla! 1.5 component fanews
 * @author	Stéphane Bouey {@link http://www.faboba.com}
 * @package Joomla
 * @subpackage Fanews
 * @license GNU/GPL
 * @Copyright (C) 2010 Faboba.com
 */
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.tooltip');
?>

<form action="<?php echo JRoute::_('index.php?option=com_fanews'); ?>"  method="post" name="adminForm" >
    <table class="adminlist">
        <thead>
            <tr>
                <th width="2%">
                    <div align="center">
                      <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items); ?> ) ;" />
                    </div>
                </th>
                <th width="29"><?php echo JText::_( 'COM_FANEWS_ID' ); ?></th>
                <th class="title"><div align="left"><span class="key"><?php echo JText::_( 'COM_FANEWS_TITLE' ); ?></span></div></th>
                <th class="title" width="20"><div align="left"><span class="key"><?php echo JText::_( 'JPUBLISHED' ); ?></span></div></th>
                <th class="title" width="150"><div align="left"><span class="key"><?php echo JText::_( 'COM_FANEWS_CREATED' ); ?></span></div></th>
                <th class="title" width="150"><div align="left"><span class="key"><?php echo JText::_( 'COM_FANEWS_MODIFIED' ); ?></span></div></th>
                <th class="title" width="100"><div align="left"><span class="key"><?php echo JText::_( 'JGRID_HEADING_LANGUAGE' ); ?></span></div></th>
            </tr>
        </thead>
        <?php

        $k = 0;
        for ($i = 0, $n = count($this->items); $i < $n; $i++ ) {

            $row        = &$this->items[$i];

            $published 	= JHtml::_('jgrid.published', $row->published, $i, 'fanews.');;
            $checked    = JHTML::_('grid.id', $i, $row->id );
            $link 	= JRoute::_( 'index.php?option=com_fanews&task=fanew.edit&id='.(int)$row->id.'' );
            $delete     = 'index.php?option=com_fanews&task=fanew.delete&id='.$row->id;

            ?>
        <tr class="<?php echo "row$k"; ?>">
            <td><div align="center"><?php echo $checked; ?></div></td>
            <td align="left"> <a href="<?php echo $link; ?>"><?php echo $row->id; ?></a></td>
            <td align="left"> <a href="<?php echo $link; ?>"><?php echo $row->title; ?></a></td>
            <td align="center"><?php echo $published; ?></td>
            <td align="left"> <a href="<?php echo $link; ?>"><?php echo $row->created; ?></a></td>
            <td align="left"> <a href="<?php echo $link; ?>"><?php echo $row->modified; ?></a></td>
            <td class="center">
                <?php if ($row->language==''):?>
                    <?php echo JText::_('JDEFAULT'); ?>
                <?php elseif ($row->language=='*'):?>
                    <?php echo JText::alt('JALL','language'); ?>
                <?php else:?>
                    <?php echo $row->language_title ? $this->escape($row->language_title) : JText::_('JUNDEFINED'); ?>
                <?php endif;?>
            </td>
        </tr>
            <?php
            $k=1 - $k;
        }
        ?>
    </table>
                <input type="hidden" name="task" value="" />
                <input type="hidden" name="boxchecked" value="0" />
                <?php echo JHtml::_('form.token'); ?>

</form>