<?php
// No direct access to this file
defined('_JEXEC') or die;


class com_fanewsInstallerScript
{

        /*
         * The release value to be displayed and checked against throughout this file.
         */
        private $release = '2.1';

        /*
         * Find mimimum required joomla version for this extension. It will be read from the version attribute (install tag) in the manifest file
         */
         private $minimum_joomla_release = '1.7.0';

        function install($parent)
        {
            echo '<p>' . JText::_('COM_FANEWS_INSTALL_TO') . $this->release . '</p>';
        }

        function uninstall($parent)
        {
        }

        function update($parent)
        {
            echo '<p>' . JText::_('COM_FANEWS_UPDATE_TO') . $this->release . '</p>';
        }

        /*
         * $parent is the class calling this method.
         * $type is the type of change (install, update or discover_install, not uninstall).
         * preflight runs before anything else and while the extracted files are in the uploaded temp folder.
         * If preflight returns false, Joomla will abort the update and undo everything already done.
         */
        function preflight($type, $parent)
        {
            // this component does not work with Joomla releases prior to 1.7
            // abort if the current Joomla release is older
//            $jversion = new JVersion();

            // Extract the version number from the manifest. This will overwrite the 1.0 value set above
//            $this->release=$parent->get("manifest")->version;

            // Find mimimum required joomla version
//            $this->minimum_joomla_release=$parent->get("manifest")->attributes()->version;

//            if( version_compare( $jversion->getShortVersion(), $this->minimum_joomla_release, 'lt' ) ) {
//                Jerror::raiseWarning(null, JText::_('COM_FANEWS_INSTALL_JOOMLA_VERSION_ERROR').$this->minimum_joomla_release);
//                return false;
//            }

        }

        function postflight($type, $parent)
        {
            //store in db key file from default value
            //to be accessible from bo 
            if ($type == 'install') {
                jimport( 'joomla.utilities.simplexml' );
                $xml = new JSimpleXML();
                $xml->loadFile(JPATH_ROOT.'/administrator/components/com_fanews/config.xml');
                $key = '';
                foreach ($xml->document->fieldset[0]->field as $field) {
                  if ((string)$field->attributes('name') == 'fanews_key')
                  {
                     $key = $field->attributes('default');
                   }
                }
                 $db = &JFactory::getDBO();
                 $query = $db->getQuery(true);
                 $query->update('#__extensions');
                 $defaults = '{"fanews_key":"'.$key.'"}';
                 $query->set("params = " . "'".$defaults."'");
                 $query->where("name = 'com_fanews'");
                 $db->setQuery($query);
                 $db->query();
             }

            if ($type == 'update') {

                //get key from 
                jimport( 'joomla.utilities.simplexml' );
                $xml = new JSimpleXML();
                $xml->loadFile(JPATH_ROOT.'/administrator/components/com_fanews/config.xml');
                $key = '';
                foreach ($xml->document->fieldset[0]->field as $field) {
                  if ((string)$field->attributes('name') == 'fanews_key')
                  {
                     $key = $field->attributes('default');
                   }
                }

                //update key
                $params['fanews_key'] = $key;
                $this->setParams( $params );
            }
        }

        /*
         * get a variable from the manifest file (actually, from the manifest cache).
         */
        function getParam( $name ) {
            $db = JFactory::getDbo();
            $db->setQuery('SELECT manifest_cache FROM #__extensions WHERE name = "com_fanews"');
            $manifest = json_decode( $db->loadResult(), true );
            return $manifest[ $name ];
        }

        /*
         * sets parameter values in the component's row of the extension table
         */
        function setParams($param_array) {
            if ( count($param_array) > 0 ) {
                // read the existing component value(s)
                $db = JFactory::getDbo();
                $db->setQuery('SELECT params FROM #__extensions WHERE name = "com_fanews"');
                $params = json_decode( $db->loadResult(), true );
                // add the new variable(s) to the existing one(s)
                foreach ( $param_array as $name => $value ) {
                    $params[ (string) $name ] = (string) $value;
                }
                // store the combined new and existing values back as a JSON string
                $paramsString = json_encode( $params );
                $db->setQuery('UPDATE #__extensions SET params = ' .
                $db->quote( $paramsString ) .
                    ' WHERE name = "com_fanews"' );
                    $db->query();
            }
        }

}
